from sqlalchemy import Column, Text, DateTime, String, BigInteger, Integer
from config.database import Base


class ExplanationContent(Base):
    """
    讲解内容表
    """

    __tablename__ = 'explanation_content'

    explanation_content_id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='主键ID')
    title = Column(String(64), nullable=False, comment='标题')
    content = Column(Text, nullable=True, comment='讲解内容')
    type = Column(String(2), nullable=True, comment='类型(0科技类)')
    spend_time = Column(Integer, nullable=True, comment='预计时长(分钟)')
    language = Column(String(2), nullable=True, comment='语言(0中文,1英文)')
    status = Column(String(2), nullable=True, comment='状态(0未开始,1已就绪,2播放中,3已完成)')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    update_time = Column(DateTime, nullable=True, comment='修改时间')
    update_by = Column(String(64), nullable=True, comment='修改者')



